diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index 21bbdf8..ae5b740 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -2362,12 +2362,11 @@ describeOneTableDetails(const char *schemaname,
 		}
 
 		/* OIDs, if verbose and not a materialized view */
-		if (verbose && tableinfo.relkind != 'm')
+		if (verbose && tableinfo.relkind != 'm' && tableinfo.hasoids)
 		{
 			const char *s = _("Has OIDs");
 
-			printfPQExpBuffer(&buf, "%s: %s", s,
-							  (tableinfo.hasoids ? _("yes") : _("no")));
+			printfPQExpBuffer(&buf, "%s: %s", s, _("yes"));
 			printTableAddFooter(&cont, buf.data);
 		}
 
